## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           woodpecker-server
Version:        3.7.0
Release:        %autorelease
Summary:        Woodpecker is a community fork of the Drone CI system.
License:        BSD-3-Clause AND CC-BY-SA-4.0 AND Apache-2.0
URL:            https://github.com/woodpecker-ci/woodpecker
Source0:        %{url}/releases/download/v%{version}/woodpecker-server_linux_amd64.tar.gz#/%{name}-%{version}.tar.gz
Source1:        woodpecker-server.sysusers
Source2:        woodpecker-server-starter
Source3:        woodpecker-server@.service
BuildRequires:  systemd-rpm-macros

%description
%{summary}

%global debug_package %{nil}

%prep
%autosetup -c

%install
install -d %{buildroot}{%{_bindir},%{_sysconfdir},%{_sysusersdir},%{_unitdir}}
install -d %{buildroot}%{_sysconfdir}/woodpecker-server
install -m 0755 woodpecker-server %{buildroot}%{_bindir}/
install -m 0644 %{SOURCE1} %{buildroot}%{_sysusersdir}/woodpecker-server.conf
install -m 0755 %{SOURCE2} %{buildroot}%{_bindir}/
install -m 0644 %{SOURCE3} %{buildroot}%{_unitdir}/

%pre
%sysusers_create_compat %{SOURCE1}

%post
%systemd_post 'woodpecker-server@.service'

%preun
%systemd_preun 'woodpecker-server@*.service'

%postun
%systemd_postun_with_restart 'woodpecker-server@*.service'

%files
%{_bindir}/woodpecker-server
%{_bindir}/woodpecker-server-starter
%{_sysconfdir}/woodpecker-server
%{_sysusersdir}/woodpecker-server.conf
%{_unitdir}/woodpecker-server@.service

%changelog
## START: Generated by rpmautospec
* Tue Jun 24 2025 Tomi Lähteenmäki <lihis@lihis.net> - 3.7.0-1
- Upstream release 3.7.0

* Fri May 30 2025 Tomi Lähteenmäki <lihis@lihis.net> - 3.6.0-1
- Upstream release 3.6.0

* Wed Apr 30 2025 Tomi Lähteenmäki <lihis@lihis.net> - 3.5.2-1
- Upstream release 3.5.2

* Sat Mar 22 2025 Tomi Lähteenmäki <lihis@lihis.net> - 3.4.0-1
- Upstream release 3.4.0

* Wed Mar 05 2025 Tomi Lähteenmäki <lihis@lihis.net> - 3.3.0-1
- Upstream release 3.3.0

* Mon Feb 17 2025 Tomi Lähteenmäki <lihis@lihis.net> - 3.1.0-1
- Upstream release 3.1.0

* Mon Jan 20 2025 Tomi Lähteenmäki <lihis@lihis.net> - 3.0.1-1
- Upstream release 3.0.1

* Sun Jan 19 2025 Tomi Lähteenmäki <lihis@lihis.net> - 3.0.0-1
- Upstream release 3.0.0

* Sun Jan 12 2025 Tomi Lähteenmäki <lihis@lihis.net> - 2.8.3-1
- Upstream release 2.8.3

* Wed Jan 01 2025 Tomi Lähteenmäki <lihis@lihis.net> - 2.8.2-1
- Upstream release 2.8.2

* Wed Nov 06 2024 Tomi Lähteenmäki <lihis@lihis.net> - 2.7.3-2
- Disable debug package

* Wed Nov 06 2024 Tomi Lähteenmäki <lihis@lihis.net> - 2.7.3-1
- Upstream release 2.7.3

* Sat Sep 07 2024 Tomi Lähteenmäki <lihis@lihis.net> - 2.7.1-1
- Upstream release 2.7.1

* Mon Jun 24 2024 Tomi Lähteenmäki <lihis@lihis.net> - 2.6.0-1
- Upstream release 2.6.0

* Thu Mar 21 2024 Tomi Lähteenmäki <lihis@lihis.net> - 2.4.1-1
- Upstream release 2.4.1

* Thu Feb 01 2024 Tomi Lähteenmäki <lihis@lihis.net> - 2.3.0-1
- Upstream release v2.3.0

* Tue Jan 23 2024 Tomi Lähteenmäki <lihis@lihis.net> - 2.2.2-1
- Upstream release 2.2.2

* Wed Jan 03 2024 Tomi Lähteenmäki <lihis@lihis.net> - 2.1.1-1
- Upstream release 2.1.1

* Sun Dec 31 2023 Tomi Lähteenmäki <lihis@lihis.net> - 2.1.0-1
- Upstream release v2.1.0

* Sat Nov 25 2023 Tomi Lähteenmäki <lihis@lihis.net> - 2.0.0-1
- Upstream release 2.0.0

* Fri Nov 10 2023 Tomi Lähteenmäki <lihis@lihis.net> - 1.0.5-2
- Fix %%systemd_* usage

* Fri Nov 10 2023 Tomi Lähteenmäki <lihis@lihis.net> - 1.0.5-1
- Upstream release 1.0.5

* Sun Nov 05 2023 Tomi Lähteenmäki <lihis@lihis.net> - 1.0.4-1
- Upstream release 1.0.4

* Mon Oct 16 2023 Tomi Lähteenmäki <lihis@lihis.net> - 1.0.3-1
- Upstream release 1.0.3

* Thu Aug 17 2023 Tomi Lähteenmäki <lihis@lihis.net> - 1.0.2-2
- Rename source file

* Thu Aug 17 2023 Tomi Lähteenmäki <lihis@lihis.net> - 1.0.2-1
- Upstream release 1.0.2

* Thu Aug 10 2023 Tomi Lähteenmäki <lihis@lihis.net> - 1.0.1-1
- Upstream release 1.0.1

* Mon Jul 31 2023 Tomi Lähteenmäki <lihis@lihis.net> - 1.0.0-1
- Upstream release 1.0.0

* Fri Jul 14 2023 Tomi Lähteenmäki <lihis@lihis.net> - 0.15.11-1
- Upstream release 0.15.11

* Wed Jul 12 2023 Tomi Lähteenmäki <lihis@lihis.net> - 0.15.10-1
- Upstream release 0.15.10

* Fri May 12 2023 Tomi Lähteenmäki <lihis@lihis.net> - 0.15.9-2
- Add *.log to gitignore

* Fri May 12 2023 Tomi Lähteenmäki <lihis@lihis.net> - 0.15.9-1
- Update to upstream 0.15.9

* Thu May 04 2023 Tomi Lähteenmäki <lihis@lihis.net> - 0.15.8-2
- .gitignore: ignore .tar.gz

* Thu May 04 2023 Tomi Lähteenmäki <lihis@lihis.net> - 0.15.8-1
- Update to upstream v0.15.8
## END: Generated by rpmautospec
